Loading...
Searching...
No Matches
Opm::DiscreteFracturePrimaryVariables< TypeTag > Class Template Reference

Represents the primary variables used by the discrete fracture multi-phase model. More...

`#include <discretefractureprimaryvariables.hh>`

Inheritance diagram for Opm::DiscreteFracturePrimaryVariables< TypeTag >:

## Public Member Functions

| DiscreteFracturePrimaryVariables ()=default
| Default constructor.
| DiscreteFracturePrimaryVariables (const DiscreteFracturePrimaryVariables &)=default
| Copy constructor.
DiscreteFracturePrimaryVariables & | operator= (const DiscreteFracturePrimaryVariables &)=default
template<class FluidState>
void | assignNaiveFromFracture (const FluidState &fractureFluidState, const MaterialLawParams &matParams)
| < Import base class assignment operators.
ImmisciblePrimaryVariables & | operator= (const ImmisciblePrimaryVariables &value)=default
| Assignment operator.
Public Member Functions inherited from Opm::ImmisciblePrimaryVariables< TypeTag >
| ImmisciblePrimaryVariables ()
| Default constructor.
| ImmisciblePrimaryVariables (const ImmisciblePrimaryVariables &value)=default
| Copy constructor.
ImmisciblePrimaryVariables & | operator= (const ImmisciblePrimaryVariables &value)=default
| Assignment operator.
template<class FluidState>
void | assignMassConservative (const FluidState &fluidState, const MaterialLawParams &matParams, bool isInEquilibrium=false)
| < Import base class assignment operators.
template<class FluidState>
void | assignNaive (const FluidState &fluidState)
| Directly retrieve the primary variables from an arbitrary fluid state.
FvBasePrimaryVariables & | operator= (const FvBasePrimaryVariables &value)=default
| Assignment from another primary variables object.
Public Member Functions inherited from Opm::FvBasePrimaryVariables< TypeTag >
| FvBasePrimaryVariables (const FvBasePrimaryVariables &value)=default
| Assignment from another primary variables object.
FvBasePrimaryVariables & | operator= (const FvBasePrimaryVariables &value)=default
| Assignment from another primary variables object.
Evaluation | makeEvaluation (unsigned varIdx, unsigned timeIdx, LinearizationType linearizationType=LinearizationType()) const
| Return a primary variable intensive evaluation.
template<class FluidState>
void | assignNaive (const FluidState &)
| Assign the primary variables "somehow" from a fluid state.
void | checkDefined () const
| Instruct valgrind to check the definedness of all attributes of this class.

## Additional Inherited Members

Static Public Member Functions inherited from Opm::FvBasePrimaryVariables< TypeTag >
static void | init ()
| < Import base class assignment operators.
static void | registerParameters ()

## Detailed Description

template<class TypeTag>
class Opm::DiscreteFracturePrimaryVariables< TypeTag >

Represents the primary variables used by the discrete fracture multi-phase model.

## Constructor & Destructor Documentation

## DiscreteFracturePrimaryVariables()

template<class TypeTag>

Opm::DiscreteFracturePrimaryVariables< TypeTag >::DiscreteFracturePrimaryVariables | ( | const DiscreteFracturePrimaryVariables< TypeTag > & |  | ) |

default

Copy constructor.

Parameters

  value | The primary variables that will be duplicated.

## Member Function Documentation

## assignNaiveFromFracture()

template<class TypeTag>
template<class FluidState>

void Opm::DiscreteFracturePrimaryVariables< TypeTag >::assignNaiveFromFracture | ( | const FluidState & | fractureFluidState,
|  | const MaterialLawParams & | matParams )

inline

< Import base class assignment operators.

Directly retrieve the primary variables from an arbitrary fluid state of the fractures.

Parameters

  fractureFluidState | The fluid state of the fractures which should be represented by the primary variables. The temperatures, pressures and compositions of all phases must be defined.
  matParams | The parameters for the capillary-pressure law which apply for the fracture.

## operator=()

template<class TypeTag>

ImmisciblePrimaryVariables & Opm::ImmisciblePrimaryVariables< TypeTag >::operator= | ( | const ImmisciblePrimaryVariables & | value | ) |

default

Assignment operator.

Parameters

  value | The primary variables that will be duplicated.

The documentation for this class was generated from the following file:

- opm/models/discretefracture/discretefractureprimaryvariables.hh